dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_SPIN);

LManager:AddTable(eTYPE_TABLE1, 280, 315);
LManager:AddTable(eTYPE_TABLE2, 490, 315);
LManager:AddTable(eTYPE_TABLE1, 380, 425);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 3;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 31000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 63000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 103000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 13000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 43000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 83000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 97000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 110000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 23000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 55000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 84000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 90000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(120);
LManager:SetSnackTime(999000);

LManager:SetLevelNumber(1,2);
LManager:SetLevelScores(2200, 2800);
LManager:SetLevelTime(40000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();


TutorialSteps =
{
	start =
	{ 
		action = "onTrigger = function() end",
		
		triggers = 
		{
			[1] = { condition = "GAME_TRIGGER", data = "eTRIGGER_DATE_START", next = "step01" },
		}
	},
	
	step01 = 
	{
		action = "onTrigger = function() FreezeTime(); TextBox(540, 290, \"Remember Sammy is here to help. When she's not busy with other tasks she can visit a table and help break the ice with a joke. Click on any table to try it out. \", 9999000) end",
		
		triggers = 
		{
			[1] = { condition = "GAME_TRIGGER", data = "eTRIGGER_JOKE_START", next = "step02" },
		}
	},
	
	step02 = 
	{
		action = "onTrigger = function() UnfreezeTime(); PlaceArrowOn(\"TABLE\"); TextBox(540, 290, \"If she has time to get to the punchline she'll give the couple a little boost in their date. \", 9999000) end",
		
		triggers = 
		{
			[1] = { condition = "GAME_TRIGGER", data = "eTRIGGER_JOKE_END", next = "step03" },
			[2] = { condition = "GAME_TRIGGER", data = "eTRIGGER_JOKE_SKIP", next = "step04" },
		}
	},

	step03 = 
	{
		action = "onTrigger = function() HideArrows(); TextBox(20, 330, \"That's all there is to it.  You can tell a joke whenever a table isn't busy with other requests. You'll also reveal a man's interest when you tell a joke!\", 8000) end",
		
		triggers = 
		{
		}
	},

	step04 = 
	{
		action = "onTrigger = function() HideArrows(); TextBox(20, 330, \"Sammy needs some time to get through the joke.  You can try again any time a table isn't busy with other requests. \", 8000) end",
		
		triggers = 
		{
		}
	},
}
